<html xmlns:th="http://www.w3.org/1999/xhtml">
<head>
  <title>Home Page</title>
</head>
<body style="text-align: center">
  <h1>Hello!</h1>
<!--  daca vrei sa faci requesturi din view spre controller trebuie sa folosesti form-uri.
      In ele specifici pathu (th:action), metoda (method) si fieldul din model care sa fie populat (th:object)
      NOTE: daca nu ai fieldul in obiect, thymeleaf nu stie sa ti-l genereze singur, o sa primesti eroare-->
  <form action="#" th:action="@{/vote}" th:object="${voter}" method="post">
    <label>CNP:</label><input type="text" th:field="*{cnp}" /></br>
    <label>Name:</label><input type="text" th:field="*{name}" /></br>
    <label>Address:</label><input type="text" th:field="*{address}" /></br>
    <label>Token:</label><input type="text" th:field="*{token}" /></br>
    <label>Choice:</label>
    <select th:field="*{choice}">
      <!--  in view se foloseste ${<field pus in model>} ca sa optii valorile din model-->
      <option th:each="candidate : ${candidates}"
              th:value="${candidate}"
              th:text="${candidate}">Choice</option></br>
    </select> </br>
    <input type="submit" />
  </form>
</body>
</html>
